import { ScrollchorEasingFunction } from './helpers';
/**
 * Linear easing
 */
export declare const linear: ScrollchorEasingFunction;
/**
 * jQuery default "swing" easing
 *
 * @see https://github.com/jquery/jquery/blob/09f254361f1fe8a563b8a90fe6a4d269f4b11514/src/effects/Tween.js#L101-L103
 */
export declare const swing: ScrollchorEasingFunction;
/**
 * Quadratic "out" easing function based on jquery-easing plugin
 *
 * This is the default value for the animation `easing` option of the component if no
 * custom one is provided
 *
 * @see https://github.com/danro/jquery-easing/blob/a6f21ff77c84cee11562d36c51fb5b9c95f2eec0/jquery.easing.js#L25
 */
export declare const easeOutQuad: ScrollchorEasingFunction;
